Subject: Re: [patch 07/11] powerpc/dma: implement new dma_*map*_attrs() interfaces

From: Geoff Levand <[email-masked]>
Date: Mon, 7 Jul 2008 12:15:50 -0700

Benjamin Herrenschmidt wrote:
> On Fri, 2008-07-04 at 21:05 +0200, [email-masked] wrote:
>> plain text document attachment
>> (0007-powerpc-dma-implement-new-dma_-map-_attrs-interfa.patch)
>> Update powerpc to use the new dma_*map*_attrs() interfaces. In doing so
>> update struct dma_mapping_ops to accept a struct dma_attrs and propagate
>> these changes through to all users of the code (generic IOMMU and the
>> 64bit DMA code, and the iseries and ps3 platform code).
>> 
>> The old dma_*map_*() interfaces are reimplemented as calls to the
>> corresponding new interfaces.
> 
> Geoff, I think the PS3 bits in this patch are ok but I'd like
> you to double-check and send your ack if you think they are.

I tested on PS3 with ps3_defconfig, and it works OK.

Acked-by: Geoff Levand <[email-masked]>

>> Signed-off-by: Mark Nelson <[email-masked]>
>> Signed-off-by: Arnd Bergmann <[email-masked]>
>> ---
>>  arch/powerpc/Kconfig                    |    1 +
>>  arch/powerpc/kernel/dma_64.c            |   34 ++++++---
>>  arch/powerpc/kernel/ibmebus.c           |   12 ++-
>>  arch/powerpc/kernel/iommu.c             |   11 ++-
>>  arch/powerpc/platforms/iseries/iommu.c  |    4 +-
>>  arch/powerpc/platforms/ps3/system-bus.c |   17 +++--
>>  include/asm-powerpc/dma-mapping.h       |  116 +++++++++++++++++++++++--------
>>  include/asm-powerpc/iommu.h             |   12 ++-
>>  8 files changed, 144 insertions(+), 63 deletions(-)